#define FALSE 0
#define TRUE (!FALSE)

#define LAT 1
#define LON 2

double square(double value);
double cube(double value);
double sind(double value);
double cosd(double value);
double tand(double value);
double asind(double value);
double acosd(double value);
double atand(double value);
double atan2d(double value1,
			  double value2);

int EFG84toLLA84(FILE *errfile,
				 double ee,
				 double ff,
				 double gg,
				 double *tlat,
				 double *tlon,
				 double *msl);

int LLA84toEFG84(FILE *errfile,
				 double lat,
				 double lon,
			     double m_alt,
				 double *e,
				 double *f,
				 double *g);

int AERtoLLA84(	FILE *errfile,
				double az,
				double el,
				double rg,
				double sitelat,
				double sitelon,
				double sitealt,
				double *aclat,
				double *aclon,
				double *acalt);

int EFG84toAER(	FILE *errfile,
				double epos,
				double fpos,
				double gpos,
				double sitelat,
				double sitelon,
				double sitealt,
				double *azout,
				double *elout,
				double *rgout);

int EFG84toEFG72(FILE *errfile,
				 double e84in,
				 double f84in,
				 double g84in,
				 double *e72out,
				 double *f72out,
				 double *g72out);

void return_dms(int		lat_lon,
				double	value,
				int		*deg,
				int		*min,
				double	*sec,
				char	*label);

long chartoint(	char *s,
				int start,
				int stop);

void XYZtoAER(FILE *errfile,
			  double xpos,
			  double ypos,
			  double zpos,
			  double *az,
			  double *el,
			  double *rg);

void AERtoXYZ(FILE *errfile,
			  double az,
			  double el,
			  double rg,
			  double *xpos,
			  double *ypos,
			  double *zpos);
